Description

Untranslated hard-coded string exists in source:trunk/app/models/issue_status.rb@20897#L113

def check_integrity

  if Issue.where(:status_id => id).any?

    raise "This status is used by some issues" 

  elsif Tracker.where(:default_status_id => id).any?

    raise "This status is used as the default status by some trackers" 

  end

end

History

#1 - 2021-05-16 10:52 - salman mp

Also in:

models/role.rb:301:         raise "Cannot delete role" if members.any?

models/role.rb:302:         raise "Cannot delete builtin role" if builtin?

models/role.rb:311:         raise "Unable to create the #{name} role (#{role.errors.full_messages.join(',')}).

" if role.new_record?

models/setting.rb:330:      raise "There's no setting named #{name}" unless available_settings.has_key?(name)

models/tracker.rb:147:      raise "Cannot delete tracker" if Issue.where(:tracker_id => self.id).any?

models/query.rb:1096:       raise "Unknown #{queried_class.name} association #{assoc}" unless customized_class

models/query.rb:1310:       raise "Unknown query operator #{operator}" 

models/enumeration.rb:135:  raise "Cannot delete enumeration" if self.in_use?

#2 - 2021-05-17 23:02 - Holger Just

- Status changed from New to Needs feedback

The descriptions of those raised exceptions generally do not show up in the user interface. They are either handled by higher layers of the code

(which may then render an appropriate translated error message in the response to the user) or if unhandled result in a 500 error which also doesn't

show any further information  to the user.

Generally, those exception descriptions only turn up in the application logs (e..g logs/production.log. Here, it is entirely fine to only use english

messages (given that the entire code and database scheme uses english).

With that being said, if you can reproduce a case where those error messages do show up in the user interface unchanged, this might be considered

for a fix.

#3 - 2021-05-18 04:23 - Kam Nazir

Thank you for your reply, Holger.

This error is shown to the user when he/she try to delete a status that has been used in some issues. something like:

Unable to delete issue status (This status is used by some issues)

I reproduce the scenario and check the Redmine log. There wasn't this error in the log.

#4 - 2021-05-18 08:58 - Go MAEDA

- File Screenshot_2021-05-18.png added

- Status changed from Needs feedback to Confirmed
https://www.redmine.org/projects/redmine/repository/svn/revisions/20897/entry/trunk/app/models/issue_status.rb#L113


Kam Nazir wrote:

This error is shown to the user when he/she try to delete a status that has been used in some issues. something like:

Unable to delete issue status (This status is used by some issues)

 Confirmed the issue. In the screenshot below, you can see an untranslated English sentence in a Japanese error message.
